Bug 1364971 (CVE-2016-3841)

Summary: CVE-2016-3841 kernel: use-after-free via crafted IPV6 sendmsg for raw / tcp / udp / l2tp sockets.
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aquini, arm-mgr, bhu, dhoward, fhrbata, gansalmon, hmatsumo, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, plougher, pmatouse, rt-maint, rvrbovsk, security-response-team, vdronov, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20160808,reported=20160808,source=cve,cvss2=6.9/AV:L/AC:M/Au:N/C:C/I:C/A:C,cvss3=8.4/CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H,cwe=CWE-667,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,rhel-7/kernel-rt=affected,mrg-2/realtime-kernel=affected,rhelsa-7/arm-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that the Linux kernel's IPv6 implementation mishandled socket options. A local attacker could abuse concurrent access to the socket options to escalate their privileges, or cause a denial of service (use-after-free and system crash) via a crafted sendmsg system call.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:57:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1286695, 1312740, 1364972, 1366974, 1374026    
Bug Blocks: 1364973    

Description Martin Prpič 2016-08-08 10:02:29 UTC
It was found that the Linux kernel's IPv6 implementation mishandles socket option data. A local attacker can abuse concurrent access to the socket options to escalate their privileges, or cause a denial of service (use-after-free and system crash) via a crafted sendmsg system call.

Upstream patch:

https://github.com/torvalds/linux/commit/45f6fad84cc305103b28d73482b344d7f5b76f39

Comment 1 Martin Prpič 2016-08-08 10:02:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1364972]

Comment 2 Justin M. Forbes 2016-08-08 17:41:20 UTC
This was fixed in upstream 4.4 kernels. All Fedora releases are currently shipping newer kernels than this which contain the listed fix.

Comment 6 Wade Mealing 2016-08-15 08:08:47 UTC
Statement:

This issue affects Red Hat Enterprise Linux 6 and 7 kernels.  This issue was fixed in a version 6 prior to this issue being raised.

As this issue is rated as important, it has been scheduled to be fixed in a future version of Red Hat Enterprise Linux 7.

Comment 12 errata-xmlrpc 2016-11-03 17:24:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 13 errata-xmlrpc 2016-11-03 19:56:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 16 errata-xmlrpc 2016-11-09 16:50:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Extended Update Support

Via RHSA-2016:2695 https://rhn.redhat.com/errata/RHSA-2016-2695.html